package shop.alien.util.common.constant;

/**
 * 律师咨询订单状态枚举
 */
public enum LawyerStatusEnum {
    //订单状态, 0:待支付, 2:进行中, 3:已完成, 4:已取消;
    /**
     * 待支付
     */
    WAIT_PAY(0, "待支付"),

    /**
     * 待支付
     */
    WAIT_ACCEPT(1, "待接单"),

    /**
     * 进行中
     */
    INPROGRESS(2, "进行中"),
    /**
     * 已完成
     */
    COMPLETE(3, "已完成"),
    /**
     * 已取消
     */
    CANCEL(4, "已取消"),

    /**
     * 已取消
     */
    REFUNDED(5, "已退款");

    private final Integer status;
    // 属性值
    private final String description;
    // 构造方法，用于初始化描述信息
    LawyerStatusEnum(Integer status, String description) {
        this.status = status;
        this.description = description;
    }
    // 提供获取描述信息的方法
    public static String getDescription(Integer status) {
        for (LawyerStatusEnum orderStatusEnum : LawyerStatusEnum.values()) {
            if (orderStatusEnum.status.equals(status)) {
                return orderStatusEnum.description;
            }
        }
        return null;
    }

    public Integer getStatus() {
        return status;
    }

    public String getDescription() {
        return description;
    }
}
